Home / Lua API Manual / types / dt_collection_filter_t
< comp_type_t
dt_collection_properties_t >

# dt_collection_filter_t

`enum`

The different elements on which a collection can be filtered

Values:

- DT_COLLECTION_FILTER_ALL
- DT_COLLECTION_FILTER_STAR_NO
- DT_COLLECTION_FILTER_STAR_1
- DT_COLLECTION_FILTER_STAR_2
- DT_COLLECTION_FILTER_STAR_3
- DT_COLLECTION_FILTER_STAR_4
- DT_COLLECTION_FILTER_STAR_5
- DT_COLLECTION_FILTER_REJECT
- DT_COLLECTION_FILTER_NOT_REJECT

< comp_type_t
dt_collection_properties_t >